CC=i386-pc-msdosdjgpp-gcc
CXX=i386-pc-msdosdjgpp-g++
STRIP=i386-pc-msdosdjgpp-strip
LD = i386-pc-msdosdjgpp-ld

LDFLAGS = -lemu

CFLAGS=-c \
    -I ./doom_fire \
    -I ./libs/ark_core \
    -I ./libs/ark_core/libs/fmt/include

CXXFLAGS=-c \
    -I ./doom_fire \
    -I ./libs/ark_core \
    -I ./libs/ark_core/libs/fmt/include


MENU_TARGET=game.exe
MENU_OBJ=./doom_fire/Demo.o \
	./doom_fire/main.o \
	./libs/ark_core/ark_core/Assert.Private.o \
	./libs/ark_core/ark_core/Clock/Clock.DOS.o \
	./libs/ark_core/ark_core/CommandLine.o     \
	./libs/ark_core/ark_core/Debug/Debug.DOS.o \
	./libs/ark_core/ark_core/FileUtils.o \
	./libs/ark_core/ark_core/Gfx/Window/Window.DOS.o \
	./libs/ark_core/ark_core/Math/Color.o \
	./libs/ark_core/ark_core/Path/PathUtils.DOS.o \
	./libs/ark_core/ark_core/Platform/DOS/DOS.o \
	./libs/ark_core/ark_core/Random.o \
	./libs/ark_core/ark_core/String.o \
	./libs/ark_core/ark_core/Terminal.o \
	./libs/ark_core/libs/fmt/src/format.o

$(MENU_TARGET):	$(MENU_OBJ)
	$(CXX) -o $(MENU_TARGET) $(MENU_OBJ) $(LDFLAGS)
	$(STRIP) $(MENU_TARGET)

all: $(MENU_TARGET)

clean:
	find . -iname "*.o" -delete
